   /* common.css */
@charset "utf-8";
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable.min.css");

body {
  font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
  letter-spacing: -0.02em;
  color: #1a1a1a;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

/* Reset */
* {margin: 0; padding: 0; box-sizing: border-box;}
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, tbody, tfoot, thead, tr, th, td {margin: 0; padding: 0;}
h1, h2, h3, h4, h5, h6 {font-weight: 700; font-size: inherit;}
a {color: inherit; text-decoration: inherit;}
img {vertical-align: middle;}
a img {border: none;}
li {list-style: none;}
address, em, i {font-style: normal;}
a:focus, button:focus {outline: none;}
button,
input,
textarea,
select {
  font: inherit;
  color: inherit;
}

.wrap {width: 100%; position: relative; margin: 0 auto;  flex: 1;}
.contents {width: 100%;}

:root {
  --inner: 1600px;
  --page-pad: 320px;
}
.container {
  width: min(var(--inner), calc(100% - var(--page-pad)));
  margin: 0 auto;
  height: 100%;
}

/* community-cards */
.community-cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 30px;
}

.community-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 24px 24px 30px;
    background: #F5F6F8;
    border-radius: 16px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.2s ease;
    min-height: 220px;
}

.community-card:hover {
    background: #ececec;
}

.community-card.is-hidden {
    display: none;
}

/* 뱃지 */
.badge-new {
    display: inline-block;
    padding: 5px 8px;
    background: #1a1a1a;
    color: #fff;
    border-radius: 50px;
    font-size: 12px;
    line-height: 1;
}

/* 카드 본문 */
.community-card-header {
    min-height: 24px;
    margin-bottom: 8px;
}

.community-card-body {
    flex: 1;
}

.community-card-title {
    font-size: 28px;
    font-weight: 600;
    line-height: 1.3;
    margin-top: 8px;
}

.community-card-desc {
    color: #999;
    line-height: 1.5;
    margin-top: 24px;
}

/* Notice - 2줄 말줄임 */
.community-card[data-category="Notice"] .community-card-desc {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* Q&A - 3줄 말줄임 */
.community-card[data-category="Q&A"] .community-card-desc {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.community-card-footer {
    margin-top: 24px;
    padding-top: 30px;
    border-top: 1px solid #EEE;
}

.community-card-date {
    font-size: 13px;
    color: #aaa;
}

/* 갤러리 카드 */
.community-card-gallery .community-card-thumb {
    width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 16px;
}

.community-card-gallery .community-card-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* border: 1px solid #EEE; */
    border-radius: 8px;
}

/* 글 없을 때 */
.community-empty {
    grid-column: 1 / -1;
    text-align: center;
    padding: 60px 0;
    color: #aaa;
    display: none;
}

/* 공통 페이지네이션 */
.admin-pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  margin-top: 80px;
}

.page-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 1px solid #F1F1F1;
  background: #fafafa;
  color: #1a1a1a;
  font-size: 20px;
  font-weight: 600;
  cursor: pointer;
  transition: background 0.2s, color 0.2s;
}

.page-btn:hover {
  background: #e5e5e5;
}

.page-btn.active {
  background: #1a1a1a;
  color: #fff;
  border: none;
}

.page-arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  background: #fafafa;
  border: 1px solid #F1F1F1;
  cursor: pointer;
  border-radius: 50%;
  transition: background 0.2s;
}

.page-arrow:hover {
  background: #e5e5e5;
}

.page-arrow:disabled {
  opacity: 0.3;
  cursor: not-allowed;
}

@media (max-width: 767px) {
  /* 공통 페이지네이션 */
.admin-pagination {
  gap: 7px;
  margin-top: 48px;
}

.page-btn {
  width: 36px;
  height: 36px;
  font-size: 14px;
}
.page-arrow {
  width: 36px;
  height: 36px;
}

.page-arrow:hover {
  background: #e5e5e5;
}

.page-arrow svg {
  width: 17.28px;
  height: 17.28px;
}

.detail-nav:empty {
  display: none;
}

.community-indicator.is-hidden-indicator {
  display: none !important;
}
}